# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

      <a name="4.0.0-restructure.8d8662f5"></a>
## 4.0.0-restructure.8d8662f5 (2019-04-24)

* 4.0.0-beta.8 ([cad2904](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cad2904))
* Add docs structure ([1c339f3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1c339f3))
* Add household table to Census Ireland ([d3a5d7e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d3a5d7e))
* add publish-jenkins.sh ([9848f9c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9848f9c))
* Add testing infrastructure ([44360b3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/44360b3))
* Added PathBased ([4119107](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4119107))
* Adding tests ([9397aed](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9397aed))
* All components adapted ([d980d87](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d980d87))
* Button docs; remove website ([e818649](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e818649))
* changed document table layout (separated inputs from outpuyts; imported and setup copy2clipboard mec ([4dbaddb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4dbaddb))
* completed sript to correctly parse version name and date into a string; customized nav bar items in  ([40dc6f1](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/40dc6f1))
* doc writing script fully functional; started on full documentation ([63680db](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/63680db))
* Docs implementation ([2d41763](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2d41763))
* Docs implementation ([3d2262a](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/3d2262a))
* documents that have bootstrap and fontawesome styles now link to their respective documentation in t ([524b872](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/524b872))
* Example loading options ([b440e3f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/b440e3f))
* feat(core, bs-theme): implement form lists ([48b9d26](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/48b9d26))
* feat(core, bs-theme): Remove `isDisabled` from components ([d379647](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d379647)), closes [#26](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/26)
* finished the styling of the documentation website ([1669866](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1669866))
* fix 58f95daff76a5b474dbdb9a96b8e70f52ac71032 ([4444439](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4444439))
* Fix base path behaviour ([aa6723d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/aa6723d))
* Fix catalog options. Add async example ([036a371](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/036a371))
* Fix date-range schemas with computed values ([19087e9](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/19087e9))
* Fix lint ([a9769b6](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a9769b6))
* fix lint issues and build:prod script ([14c0c86](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/14c0c86))
* Fix prod build ([90ee587](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/90ee587))
* Fix some routing/focusing issues with tables ([e51b49b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e51b49b))
* Fix tree-entry HTML/CSS so that button aren\'t within anchors ([748aabf](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/748aabf))
* fix(bootstrap-theme, core): fix lint errors ([5ab6932](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/5ab6932))
* fix(build, schema): add rollup-plugin-commonjs ([c328af3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c328af3))
* fix(census-ireland, catalog): fix errors after merge ([2828203](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2828203))
* Implementing improvements ([8913755](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8913755))
* Implementing improvements ([c6723a7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c6723a7))
* Improvement to selections and census implementation ([183b9ed](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/183b9ed))
* In progress ([66be9e8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/66be9e8))
* In progress ([d8a525d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d8a525d))
* In progress ([ef7d7a9](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ef7d7a9))
* In progress ([94993f8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/94993f8))
* In progress ([ed27552](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ed27552))
* In progress ([f50cd03](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f50cd03))
* Initial catalog improvements ([271f8d9](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/271f8d9))
* LF-524 feature/bootstrap documentation ([c9274d4](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c9274d4)), closes [#10](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/10)
* Make LfI18n mandatory ([ca4f663](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ca4f663))
* Markdown with lf:// support ([1213c8b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1213c8b))
* Merge branch 'develop' of https://bitbucket.org/opensoftgitrepo/lightweightform ([863a572](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/863a572))
* Merge branch 'develop' of https://bitbucket.org/opensoftgitrepo/lightweightform into LF-524-feature/ ([7027d53](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7027d53))
* Merge tag '4.0.0-beta.6' into develop ([160554b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/160554b))
* Minor prettier fixes ([8d8662f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8d8662f))
* more docs made ([d00350c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d00350c))
* most documentation done; missing details that I need help with ([1fd3946](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1fd3946))
* most of the core-component related documentation is done; missing the app component docs; about to s ([9782727](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9782727))
* Multiple router improvements, support for focus fields ([18eed8a](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/18eed8a))
* pre versioning test ([60d6fe7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/60d6fe7))
* Refactor error -> issue ([df343cb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/df343cb))
* Rename catalog -> docs ([5dcf207](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/5dcf207))
* Rename examples -> apps ([578fffc](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/578fffc))
* Revert selection options behaviour. Other minor fixes. ([0cb053e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/0cb053e))
* Several build improvements: ([53e6465](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/53e6465))
* simple sidebar building working ([238e02e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/238e02e))
* Support validations in computed values. ([dbc6c29](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/dbc6c29))
* Table improvements ([0341935](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/0341935))
* Table shemas/values implemented ([d028ca3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d028ca3))
* Update deps ([7a9fecc](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7a9fecc))
* Update Jest and dependencies ([f78177d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f78177d))
* Upgrading jest to 24.1.0 ([ea173ae](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ea173ae))
* Use a map for state properties ([727722a](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/727722a))
* v0.10.0 ([b82300c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/b82300c))
* v0.10.1 ([06d1930](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/06d1930))
* v0.13.0 ([583474b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/583474b))
* v0.13.0 ([ac7b8a2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ac7b8a2))
* v0.14.0 ([406d3a1](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/406d3a1))
* v0.14.0 ([4f08f24](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4f08f24))
* v4.0.0-beta.0630d3ff ([11b338a](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/11b338a))
* v4.0.0-beta.1 ([307a092](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/307a092))
* v4.0.0-beta.1dbce8fe ([7ef2719](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7ef2719))
* v4.0.0-beta.2 ([531711d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/531711d))
* v4.0.0-beta.4 ([9a82eb8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9a82eb8))
* v4.0.0-beta.44d8b380 ([c034bc9](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c034bc9))
* v4.0.0-beta.5 ([feecc53](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/feecc53))
* v4.0.0-beta.6 ([e562992](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e562992))
* v4.0.0-beta.7 ([5839093](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/5839093))
* v4.0.0-beta.c4ff8d98 ([92de8dd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/92de8dd))
* v4.0.0-beta.faa2c916 ([b6bcdbe](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/b6bcdbe))
* validation-panel improvements ([c4ff8d9](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c4ff8d9)), closes [#9](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/9)
* version 0.11.0 ([98cc8d5](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/98cc8d5))
* Working lfRouter ([05dfe7d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/05dfe7d))
* Working table ([91e6c33](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/91e6c33))
* Working table ([12912ed](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/12912ed))
* feat: Add more computed state properties ([631ac51](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/631ac51)), closes [#25](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/25)
* feat: Add support for touched/dirty states ([dbdf9fb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/dbdf9fb)), closes [#6](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/6)
* feat: Add support to display validation errors. ([1dbce8f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1dbce8f)), closes [#7](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/7)
* feat: add support to warnings ([f68f482](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f68f482)), closes [#22](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/22)
* feat: Async validations ([bd3128b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/bd3128b)), closes [#3](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/3) [#23](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/23)
* feat: Implement support for internationalisation ([25726aa](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/25726aa)), closes [#29](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/29)
* feat: Improve application routing/navigation ([0630d3f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/0630d3f)), closes [#12](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/12)
* feat: Perf analysis tool + some perf improvements ([a807837](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a807837)), closes [#32](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/32)
* feat: update dependencies, refactor repo ([cab6159](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cab6159)), closes [#16](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/16)
* feat: Update the README and CONTRIBUTING files ([acfe5a8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/acfe5a8)), closes [#13](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/13)
* feat(bs-theme): Theme improvs (esp. responsive) ([f0336c7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f0336c7)), closes [#31](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/31)
* feat(build): build improvs., especially in prod. ([fe1b088](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/fe1b088)), closes [#30](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/30)
* feat(loading): add loading animation functionality ([f368986](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f368986)), closes [#15](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/15)
* feat(publish-test-coverage): generate automatic test reports, to inform about test coverage ([107e4ac](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/107e4ac)), closes [#27](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/27)
* feat(storage): Replace schema with storage module ([99c89b8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/99c89b8))
* feat(unit-tests): write unit tests for LF theme components and LF core controllers; ([374b0de](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/374b0de)), closes [#24](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/24)
* fix: date improvements ([10ef836](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/10ef836))
* fix: fix automated tests ([74a4837](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/74a4837))
* fix: fixed typescript version ([6da00e6](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6da00e6))
* fix: include test files in the sonar configuration ([50a3737](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/50a3737))
* fix: include test files in the sonar configuration ([8a9f0e0](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8a9f0e0))
* fix: Remove local links and unneeded info ([47e5edf](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/47e5edf))
* fix: tests now run in a single thread ([18580a2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/18580a2))
* fix(bootstrap-theme): fix checkable alignment ([70fe52f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/70fe52f))
* fix(bootstrap-theme): fix theme dependencies ([00b71a6](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/00b71a6))
* fix(bootstrap-theme): resolve the import of markdown-it ([faa2c91](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/faa2c91)), closes [#8](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/8)
* fix(bs-theme): Destroy modal properly ([95f4210](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/95f4210))
* fix(bs-theme): Validation status styles ([cd4195e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cd4195e))
* fix(build): add git scripts ([b670aaa](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/b670aaa))
* fix(build): fix build script ([c43e8a8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c43e8a8))
* fix(build): remove tests for now, since none pass ([d6401a7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d6401a7))
* fix(build): update changelogs ([3db2912](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/3db2912))
* fix(build): update rollupjs ([4de5180](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4de5180))
* fix(build): update versions ([89e5586](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/89e5586))
* fix(build): update versions ([e2fbf79](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e2fbf79))
* fix(documentation): add method documentation; ([1f632c0](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1f632c0)), closes [#14](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/14)
* fix(loading): cleanup variables; decrease loading icon border size ([f9c37c2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f9c37c2)), closes [#18](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/18)
* fix(test-performance): run jest with runInBand option, to improve performance in machines with low r ([d84e889](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d84e889)), closes [#28](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/28)
* fix(test): Fix validation panel tests ([c44b6de](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c44b6de))
* fix(website): fix jenkins build process ([8f48876](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8f48876))




      <a name="4.0.0-beta.8"></a>

## 4.0.0-beta.8 (2018-10-26)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

    <a name="4.0.0-beta.7"></a>

## 4.0.0-beta.7 (2018-10-26)

- feat: Perf analysis tool + some perf improvements
([a807837](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a807837)),
closes [#32](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/32)


  <a name="4.0.0-beta.6"></a>

## 4.0.0-beta.6 (2018-10-22)

- fix(bs-theme): Destroy modal properly
([95f4210](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/95f4210))
- fix(bs-theme): Validation status styles
([cd4195e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cd4195e))
- fix(test): Fix validation panel tests
([c44b6de](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c44b6de))
- feat(bs-theme): Theme improvs (esp. responsive)
([f0336c7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f0336c7)),
closes [#31](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/31)

<a name="4.0.0-beta.5"></a>

## 4.0.0-beta.5 (2018-09-21)

- feat: Add more computed state properties
([631ac51](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/631ac51)),
closes [#25](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/25)
- feat: Implement support for internationalisation
([25726aa](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/25726aa)),
closes [#29](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/29)
- feat(build): build improvs., especially in prod.
([fe1b088](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/fe1b088)),
closes [#30](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/30)
- feat(publish-test-coverage): generate automatic test reports, to inform about
test coverage
([107e4ac](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/107e4ac)),
closes [#27](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/27)
- feat(unit-tests): write unit tests for LF theme components and LF core
controllers;
([374b0de](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/374b0de)),
closes [#24](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/24)
- fix(test-performance): run jest with runInBand option, to improve performance
in machines with low memory
([d84e889](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d84e889)),
closes [#28](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/28)
- feat(core, bs-theme): Remove `isDisabled` from components
([d379647](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d379647)),
closes [#26](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/26)

<a name="4.0.0-beta.4"></a>

## 4.0.0-beta.4 (2018-07-25)

- feat: add support to warnings
([f68f482](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f68f482)),
closes [#22](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/22)
- feat: Async validations
([bd3128b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/bd3128b)),
closes [#3](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/3)
[#23](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/23)
- feat: update dependencies, refactor repo
([cab6159](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cab6159)),
closes [#16](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/16)
- feat(loading): add loading animation functionality
([f368986](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f368986)),
closes [#15](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/15)
- fix(documentation): add method documentation;
([1f632c0](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1f632c0)),
closes [#14](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/14)
- fix(loading): cleanup variables; decrease loading icon border size
([f9c37c2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/f9c37c2)),
closes [#18](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/18)

<a name="4.0.0-beta.2"></a>

## 4.0.0-beta.2 (2018-06-19)

- feat: Update the README and CONTRIBUTING files
([acfe5a8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/acfe5a8)),
closes [#13](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/13)

<a name="4.0.0-beta.44d8b380"></a>

## 4.0.0-beta.0630d3ff (2018-06-19)

- feat: Improve application routing/navigation
([0630d3f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/0630d3f)),
closes [#12](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/12)

## 4.0.0-beta.44d8b380 (2018-06-18)

- fix(website): Fix documentation generation to support md files with carriage
return (CR)
([44d8b38](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/44d8b38)),
closes [#11](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/11)
- fix(website): Improve bootstrap-theme documentation
([c9274d4](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c9274d4)),
closes [#10](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/10)
<a name="4.0.0-beta.c4ff8d98"></a>

## 4.0.0-beta.c4ff8d98 (2018-06-15)

- validation-panel improvements
([c4ff8d9](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c4ff8d9)),
closes [#9](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/9)

<a name="4.0.0-beta.faa2c916"></a>

## 4.0.0-beta.faa2c916 (2018-06-14)

- fix(bootstrap-theme): resolve the import of markdown-it
([faa2c91](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/faa2c91)),
closes [#8](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/8)

<a name="4.0.0-beta.1dbce8fe"></a>

## 4.0.0-beta.1dbce8fe (2018-06-14)

- feat: Add support for touched/dirty states
([dbdf9fb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/dbdf9fb)),
closes [#6](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/6)
- feat: Add support to display validation errors.
([1dbce8f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1dbce8f)),
closes [#7](https://bitbucket.org/opensoftgitrepo/lightweightform/issue/7)

<a name="4.0.0-beta.1"></a>

## 4.0.0-beta.1 (2018-06-06)

- Several build improvements:
([53e6465](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/53e6465))
- feat(storage): Replace schema with storage module
([99c89b8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/99c89b8))

<a name="0.14.0"></a>

## 0.14.0 (2018-05-23)

- feat(build): General build improvements
([2931807](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2931807))

<a name="0.13.0"></a>

## 0.13.0 (2018-05-18)

- feat(census-ireland): Add census-ireland demo application
([2931807](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2931807))

<a name="0.12.1"></a>

## <small>0.12.1 (2018-05-14)</small>

- fix(build): General improvements
([89e5586](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/89e5586))

## <small>0.10.1 (2018-05-09)</small>

- fix(website): Add theme and core public documentation
([160bf8f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/160bf8f))

## 0.10.0 (2018-05-04)

- changed document table layout (separated inputs from outpuyts; imported and
setup copy2clipboard mec
([4dbaddb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4dbaddb))
- completed sript to correctly parse version name and date into a string;
customized nav bar items in
([40dc6f1](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/40dc6f1))
- doc writing script fully functional; started on full documentation
([63680db](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/63680db))
- documents that have bootstrap and fontawesome styles now link to their
respective documentation in t
([524b872](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/524b872))
- feat(core, bs-theme): implement form lists
([48b9d26](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/48b9d26))
- finished the styling of the documentation website
([1669866](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1669866))
- Merge branch 'develop' of
https://bitbucket.org/opensoftgitrepo/lightweightform into LF-524-feature/
([7027d53](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7027d53))
- more docs made
([d00350c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d00350c))
- most documentation done; missing details that I need help with
([1fd3946](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1fd3946))
- most of the core-component related documentation is done; missing the app
component docs; about to s
([9782727](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9782727))
- pre versioning test
([60d6fe7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/60d6fe7))
- simple sidebar building working
([238e02e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/238e02e))
- fix: date improvements
([10ef836](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/10ef836))
- fix(bootstrap-theme): fix checkable alignment
([70fe52f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/70fe52f))
- fix(build): remove tests for now, since none pass
([d6401a7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d6401a7))

<a name="0.9.2"></a>

## <small>0.9.2 (2018-03-26)</small>

- fix(core, bootstrap-theme): `isInitialized` issue
([26150d3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/26150d3))
- fix(core, bootstrap-theme): invalid row index
([8ad78ef](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8ad78ef))
- fix(build): Update dependencies
([83a1dbd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/83a1dbd))

<a name="0.9.1"></a>

## 0.9.1 (2018-03-23)

- fix(core): File storage improvements
([ec6e183](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ec6e183))

<a name="0.9.0"></a>

# 0.9.0 (2018-03-22)

- fix(bootstrap-theme): number select styles
([6b45993](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6b45993))
- fix(bootstrap-theme): theme improvements
([86077ae](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/86077ae))
- feat(bootstrap-theme): lf-number improvements
([a89551b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a89551b))
- feat(core): add file save/load support
([e4703eb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e4703eb))

<a name="0.8.3"></a>

## 0.8.3 (2018-03-12)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.8.2"></a>

## 0.8.2 (2018-03-12)

- fix(lint, prettier)
([9a23eff](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9a23eff))

<a name="0.8.1"></a>

## 0.8.1 (2018-03-09)

- fix(core): change how to access parent controller
([98dfe12](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/98dfe12))

<a name="0.8.0"></a>

# 0.8.0 (2018-03-08)

- feat(core): overall improvements
([2c74cde](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2c74cde))

<a name="0.7.0"></a>

# 0.7.0 (2018-03-08)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.6.0"></a>

# 0.6.0 (2018-03-06)

- feat(schema/core): Better computed values support
([791f565](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/791f565))

<a name="0.5.0"></a>

# 0.5.0 (2018-03-02)

- fix(core): fix value of string controller not being properly removed on the
input deletion.
([74e825e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/74e825e))

<a name="0.4.1"></a>

## 0.4.1 (2018-03-01)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.4.0"></a>

# 0.4.0 (2018-02-27)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.6"></a>

## 0.3.6 (2018-02-27)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.5"></a>

## 0.3.5 (2018-02-23)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.4"></a>

## 0.3.4 (2018-02-21)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.3"></a>

## 0.3.3 (2018-02-21)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.2"></a>

## 0.3.2 (2018-02-21)

- fix(core/schema): compute initialValue from schema
([73d7730](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/73d7730))

<a name="0.3.1"></a>

## 0.3.1 (2018-02-19)

- fix(core): setting value in record
([af2f296](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/af2f296))
- fix lint
([e23b5a8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e23b5a8))

<a name="0.3.0"></a>

# 0.3.0 (2018-02-17)

- Merge branch 'develop'
([9bd32cb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9bd32cb))
- fix(code): prettier
([7e5494d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7e5494d))
- feat(core): add output events to form controller
([053afe2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/053afe2))

<a name="0.2.3"></a>

## 0.2.3 (2018-02-16)

- fix(core): fix onChange; add toggleable init value
([607d6fd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/607d6fd))

<a name="0.2.2"></a>

## 0.2.2 (2018-02-16)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.2.1"></a>

## 0.2.1 (2018-02-16)

- Merge branch 'develop' of bitbucket.org:opensoftgitrepo/lightweightform into
develop
([03c6733](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/03c6733))
- Merge branch 'master' into develop
([cde4875](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cde4875))
- fix(core): fix output names; remove ContentChild
([daa1dd6](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/daa1dd6))

<a name="0.2.0"></a>

# 0.2.0 (2018-02-15)

- Merge branch 'master' into develop
([aaa7c3c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/aaa7c3c))
- feat(core): proper function support; computed vals
([c551a30](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c551a30))

<a name="0.1.3"></a>

## 0.1.3 (2018-02-13)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.1.2"></a>

## 0.1.2 (2018-02-13)

- Merge branch 'develop'
([4c4f065](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4c4f065))
- fix(bootstrap-theme): export core services.
([2ddc5bd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2ddc5bd))
- fix(table): remove print on lf-table html template
([1cb2053](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1cb2053))

<a name="0.1.1"></a>

## 0.1.1 (2018-02-13)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.1.0"></a>

# 0.1.0 (2018-02-13)

- feat(core): add more row manipulation methods
([a5c6752](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a5c6752))
- Add table header: in progress
([fd76f42](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/fd76f42))
- Header improvements: WIP
([079fe69](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/079fe69))
- Merge branch 'develop' into feature/lf-table
([9e5b0e5](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9e5b0e5))
- build: fix build:watch
([36abb1e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/36abb1e))

<a name="0.0.1"></a>

## 0.0.1 (2018-02-07)

- fix: change moment to date-fns; build improvements
([a03f404](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a03f404))
- fix(bootstrap-theme): remove showing schema
([3c9c117](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/3c9c117))
- style: run prettier
([6c67c42](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6c67c42))
